org.apache.jmeter.gui.util

## Class NumberFieldErrorListener

- java.lang.Object
- - java.awt.event.FocusAdapter
  - - org.apache.jmeter.gui.util.NumberFieldErrorListener

- All Implemented Interfaces:
    FocusListener, EventListener

      public class NumberFieldErrorListener
      extends FocusAdapter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberFieldErrorListener()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `focusLost(FocusEvent e)`
    `static NumberFieldErrorListener` | `getNumberFieldErrorListener()`

    - ### Methods inherited from class java.awt.event.FocusAdapter

      `focusGained`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumberFieldErrorListener

          public NumberFieldErrorListener()

  - ### Method Detail

    - #### getNumberFieldErrorListener

          public static NumberFieldErrorListener getNumberFieldErrorListener()

    - #### focusLost

          public void focusLost(FocusEvent e)

      Specified by:
        `focusLost` in interface `FocusListener`
      Overrides:
        `focusLost` in class `FocusAdapter`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.